> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/budowanie-aplikacji/logika-biznesowa/scriptcode/skrypty-scriptservice/api-skryptow/pobieranie-statusow-wnioskow.md).

# Pobieranie statusów wniosków

{% hint style="warning" %}
Funkcjonalność dostępna od wersji platformy: **4.154.0**

Klient **musi** być zalogowany, aby funkcjonalność działała.

Dostępność funkcjonalności zależy od licencji i może nie być dostępna we wszystkich wdrożeniach.
{% endhint %}

Korzystając z funkcji *api.status.v1.getClientFormsBasicInfo(*) możemy pobrać listę statusów wniosków dla zalogowanego użytkownika.

Przykład użycia:

```
function callService(context) {
    let value = api.status.v1.getClientFormsBasicInfo();
    return [{'output': JSON.stringify(value)}];
}
```

Przykładowa odpowiedź:

```
[
  {
    "externalId": "ALB900000001162",
    "formType": "300plus",
    "dmsFormId": "68a71197f30eacb2e439fed4",
    "formInstanceNumber": "ALB900000001162",
    "status": {
      "statusName": "WYSLANY_UPO",
      "statusDescription": "Poświadczenia przedłużenia zostało wysłane do beneficjenta.",
      "date": "2025-08-21T12:40:42Z"
    },
    "creationDate": "2025-08-21T12:31:21Z"
  },
  {
    "externalId": "ALB900000001170",
    "formType": "300plus",
    "dmsFormId": "68a716faf4abe6c0f0cffc12",
    "formInstanceNumber": "ALB900000001170",
    "status": {
      "statusName": "BLAD_DANYCH",
      "statusDescription": "Wniosek zawiera błędy inne niż błędy xsd. Np. niepoprawne wartości słowników, niezgodności danych w kopercie soap z danymi na wniosku itp.",
      "date": "2025-08-21T13:00:31Z"
    },
    "creationDate": "2025-08-21T12:55:15Z"
  }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eximee.com/budowanie-aplikacji/logika-biznesowa/scriptcode/skrypty-scriptservice/api-skryptow/pobieranie-statusow-wnioskow.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
